> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spherepay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar un Código OTP para Verificación del Cliente

> Send an OTP code to a customer's contact information.

Envía una contraseña de un solo uso (OTP) a la dirección de correo electrónico o número de teléfono registrado de un cliente como parte de la verificación de contacto durante el flujo KYC. Después de que se envía el código, solicita al cliente que lo ingrese y luego llama al endpoint [Verificar Código OTP](/es/api-reference/enhanced-due-diligence/verify-verification-code) para confirmar el detalle de contacto. Los códigos OTP expiran en el momento indicado por `expiresAt` en la respuesta — si el código ha expirado antes de que el cliente lo envíe, llama a este endpoint nuevamente para enviar uno nuevo.


## OpenAPI

````yaml openapi/spherepay.yaml POST /v2/customer/{id}/otp-send
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.spherepay.co
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v2/customer/{id}/otp-send:
    post:
      summary: Send Verification Code
      description: Send an OTP code to a customer's contact information.
      parameters:
        - name: id
          required: true
          in: path
          description: Customer ID
          schema:
            example: customer_f31121c389624d3697cbf3ea8830b7a4
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendCustomerVerificationCodeDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendVerificationCodeResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    status: 400
                    detail: Invalid request parameters
                    code: address/invalid
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    status: 404
                    detail: Resource not found
                    code: resource/not-found
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '422':
          description: Unprocessable Entity - Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Validation Error:
                  summary: Validation Error
                  value:
                    status: 422
                    detail: Validation failed
                    code: validation/failed
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
                    errors:
                      - detail: Invalid email format
                        pointer: /email
                      - detail: Name is required
                        pointer: /name
components:
  schemas:
    SendCustomerVerificationCodeDto:
      type: object
      properties:
        type:
          description: Type of verification code to send
          example: email
          type: string
          enum:
            - phone
            - email
      required:
        - type
    SendVerificationCodeResponseDto:
      type: object
      properties:
        customerId:
          description: Customer ID
          example: customer_f31121c389624d3697cbf3ea8830b7a4
          type: string
        expiresAt:
          description: ISO 8601 formatted date and time of the verification code expiration
          example: '2026-03-09T20:46:31.305Z'
          type: string
      required:
        - customerId
        - expiresAt
    ProblemDetailsDto:
      type: object
      properties:
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              pointer:
                type: string
              parameter:
                type: string
              header:
                type: string
            required:
              - detail
        correlationId:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````